MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028502Open CASCADE[OCCT] OCCT:Configurationpublic2017-03-02 13:592017-09-29 16:28
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformArch LinuxOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028502: Compilation error on Arch Linux (clang compiler)
DescriptionThere are compilation errors on Arch Linux (clang compiler) after adding -stdlib=libc++ to occt_defs_flags.cmake

/src/Standard/Standard_TypeDef.hxx:18:10: fatal error: 'cstddef' file not found
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028324closedapn Configuration, genproj.tcl - compilation error while targeting OS X 10.8 or lower in XCode 
child of 0028439closedapn Configuration - compilation error when using thread_local within XCode 7 or earlier 

-  Notes
(0064079)
git (administrator)
2017-03-02 14:09

Branch CR28502 has been created by apn.

SHA-1: a08e5c4fc34f01290785c7ffd712eb43fbf7b576


Detailed log of new commits:

Author: apn
Date: Thu Mar 2 14:08:59 2017 +0300

    0028502: Compilation error on Arch Linux (clang compiler)
(0064080)
apn (administrator)
2017-03-02 14:09

Dear kgv, could you please review CR28502.
(0064459)
git (administrator)
2017-03-20 14:33

Branch CR28502 has been deleted by inv.

SHA-1: a08e5c4fc34f01290785c7ffd712eb43fbf7b576

- Related Changesets
occt: master 9070a59f
Timestamp: 2017-03-02 11:08:59
Author: apn
Committer: bugmaster
Details ] Diff ]
0028502: Compilation error on Arch Linux (clang compiler)
mod - adm/cmake/occt_defs_flags.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-02 13:59 apn New Issue
2017-03-02 13:59 apn Assigned To => apn
2017-03-02 14:09 git Note Added: 0064079
2017-03-02 14:09 apn Note Added: 0064080
2017-03-02 14:10 apn Test case number => Not needed
2017-03-02 14:10 apn Assigned To apn => kgv
2017-03-02 14:10 apn Status new => resolved
2017-03-02 14:13 apn Description Updated View Revisions
2017-03-03 16:25 bugmaster Changeset attached => occt master 9070a59f
2017-03-03 16:25 bugmaster Assigned To kgv => bugmaster
2017-03-03 16:25 bugmaster Status resolved => verified
2017-03-03 16:25 bugmaster Resolution open => fixed
2017-03-20 14:33 git Note Added: 0064459
2017-07-29 11:55 kgv Relationship added child of 0028324
2017-07-29 11:57 kgv Relationship added child of 0028439
2017-07-29 11:57 kgv Relationship replaced related to 0028324
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker